---
- hosts: localhost
  connection: local
  gather_facts: false
  vars:
    direct_fields_to_check:
      - name
      - project
      - organization
      - inventory
      - execution_environment
    list_fields_to_check:
      - credentials
  tasks:
    - name: "Get the modified files"
      ansible.builtin.set_fact:
        __files: "{{ lookup('pipe', 'git diff-tree --no-commit-id --name-only -r ' + __CI_COMMIT_SHA).split('\n') }}"
      vars:
        __CI_COMMIT_SHA: "{{ lookup('env', 'CI_COMMIT_SHA') }}"

    - name: "Loop over the modified files (not encrypted ones)"
      ansible.builtin.include_tasks: "check_file.yml"
      loop: "{{ __files }}"
      loop_control:
        loop_var: current_file
      when:
        - '"orgs_vars" in current_file or "group_vars" in current_file'
        - '"controller_credentials.d" not in current_file'
        - '"controller_users.d" not in current_file'
...
